﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="QLBHModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2008" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="ChitietDonHang">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="SoLuong" Type="int" Nullable="false" />
          <Property Name="IDSanPham" Type="bigint" Nullable="false" />
          <Property Name="Gia" Type="int" Nullable="false" />
          <Property Name="MaDonHang" Type="bigint" Nullable="false" />
          <Property Name="TongTien" Type="int" />
        </EntityType>
        <EntityType Name="CUSTOMER">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Ho" Type="nvarchar" MaxLength="250" />
          <Property Name="Ten" Type="nvarchar" MaxLength="250" />
          <Property Name="DiaChi" Type="nvarchar" MaxLength="250" />
          <Property Name="SDT" Type="int" />
          <Property Name="Email" Type="nvarchar" MaxLength="250" />
          <Property Name="Tinh_TP" Type="nvarchar" MaxLength="250" />
          <Property Name="TaiKhoan" Type="nvarchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="DonHang">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NgayTao" Type="nvarchar" MaxLength="250" Nullable="false" />
          <Property Name="MaKhachHang" Type="bigint" Nullable="false" />
          <Property Name="TinhTrang" Type="int" />
        </EntityType>
        <EntityType Name="GioiThieu">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NoiDung" Type="nvarchar(max)" />
          <Property Name="TieuDe" Type="nvarchar" MaxLength="250" />
          <Property Name="HinhAnh" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="POST">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="PostName" Type="nvarchar(max)" />
          <Property Name="Description" Type="nvarchar(max)" />
          <Property Name="Short_Description" Type="nvarchar(max)" />
          <Property Name="Thumbnail" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="PR_CATEGORIES">
          <Key>
            <PropertyRef Name="IDDanhMuc" />
          </Key>
          <Property Name="TenDanhMuc" Type="nvarchar(max)" />
          <Property Name="IDDanhMuc" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Active" Type="int" />
          <Property Name="ParentID" Type="int" />
        </EntityType>
        <EntityType Name="PRODUCT">
          <Key>
            <PropertyRef Name="ProductID" />
          </Key>
          <Property Name="ProductID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ProductName" Type="nvarchar(max)" />
          <Property Name="Sku" Type="nvarchar(max)" />
          <Property Name="Price" Type="int" />
          <Property Name="Sale_Price" Type="int" />
          <Property Name="Short_Description" Type="nvarchar(max)" />
          <Property Name="Description" Type="nvarchar(max)" />
          <Property Name="Product_tag" Type="nvarchar" MaxLength="50" />
          <Property Name="Quantity" Type="int" />
          <Property Name="Active" Type="int" />
          <Property Name="Categories" Type="int" />
          <Property Name="SupplierID" Type="int" />
          <Property Name="Thumbnail" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <EntityType Name="USER">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="HoTen" Type="nvarchar" MaxLength="250" />
          <Property Name="TaiKhoan" Type="nvarchar" MaxLength="250" />
          <Property Name="Password" Type="nvarchar" MaxLength="250" />
          <Property Name="SDT" Type="nvarchar" MaxLength="50" />
          <Property Name="DiaChi" Type="nvarchar" MaxLength="250" />
          <Property Name="CMND" Type="int" />
          <Property Name="Email" Type="nvarchar" MaxLength="250" />
          <Property Name="Role" Type="nvarchar" MaxLength="50" />
          <Property Name="ResertPasswordCode" Type="nvarchar" MaxLength="250" />
        </EntityType>
        <EntityContainer Name="QLBHModelStoreContainer">
          <EntitySet Name="ChitietDonHang" EntityType="Self.ChitietDonHang" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="CUSTOMER" EntityType="Self.CUSTOMER" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="DonHang" EntityType="Self.DonHang" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="GioiThieu" EntityType="Self.GioiThieu" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="POST" EntityType="Self.POST" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="PR_CATEGORIES" EntityType="Self.PR_CATEGORIES" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="PRODUCT" EntityType="Self.PRODUCT" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="USER" EntityType="Self.USER" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="QLBHModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="ChitietDonHang">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="SoLuong" Type="Int32" Nullable="false" />
          <Property Name="IDSanPham" Type="Int64" Nullable="false" />
          <Property Name="Gia" Type="Int32" Nullable="false" />
          <Property Name="MaDonHang" Type="Int64" Nullable="false" />
          <Property Name="TongTien" Type="Int32" />
        </EntityType>
        <EntityType Name="CUSTOMER">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Ho" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Ten" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="DiaChi" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="SDT" Type="Int32" />
          <Property Name="Email" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Tinh_TP" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="TaiKhoan" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="DonHang">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NgayTao" Type="String" MaxLength="250" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="MaKhachHang" Type="Int64" Nullable="false" />
          <Property Name="TinhTrang" Type="Int32" />
        </EntityType>
        <EntityType Name="GioiThieu">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NoiDung" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="TieuDe" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="HinhAnh" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="POST">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="PostName" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Description" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Short_Description" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Thumbnail" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="PR_CATEGORIES">
          <Key>
            <PropertyRef Name="IDDanhMuc" />
          </Key>
          <Property Name="TenDanhMuc" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="IDDanhMuc" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Active" Type="Int32" />
          <Property Name="ParentID" Type="Int32" />
        </EntityType>
        <EntityType Name="PRODUCT">
          <Key>
            <PropertyRef Name="ProductID" />
          </Key>
          <Property Name="ProductID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ProductName" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Sku" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Price" Type="Int32" />
          <Property Name="Sale_Price" Type="Int32" />
          <Property Name="Short_Description" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Description" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Product_tag" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="Quantity" Type="Int32" />
          <Property Name="Active" Type="Int32" />
          <Property Name="Categories" Type="Int32" />
          <Property Name="SupplierID" Type="Int32" />
          <Property Name="Thumbnail" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="sysdiagram">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <EntityType Name="USER">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="HoTen" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="TaiKhoan" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Password" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="SDT" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="DiaChi" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="CMND" Type="Int32" />
          <Property Name="Email" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Role" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="ResertPasswordCode" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityContainer Name="QLBHEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="ChitietDonHangs" EntityType="Self.ChitietDonHang" />
          <EntitySet Name="CUSTOMERs" EntityType="Self.CUSTOMER" />
          <EntitySet Name="DonHangs" EntityType="Self.DonHang" />
          <EntitySet Name="GioiThieux" EntityType="Self.GioiThieu" />
          <EntitySet Name="POSTs" EntityType="Self.POST" />
          <EntitySet Name="PR_CATEGORIES" EntityType="Self.PR_CATEGORIES" />
          <EntitySet Name="PRODUCTs" EntityType="Self.PRODUCT" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagram" />
          <EntitySet Name="USERs" EntityType="Self.USER" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="QLBHModelStoreContainer" CdmEntityContainer="QLBHEntities">
          <EntitySetMapping Name="ChitietDonHangs">
            <EntityTypeMapping TypeName="QLBHModel.ChitietDonHang">
              <MappingFragment StoreEntitySet="ChitietDonHang">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="SoLuong" ColumnName="SoLuong" />
                <ScalarProperty Name="IDSanPham" ColumnName="IDSanPham" />
                <ScalarProperty Name="Gia" ColumnName="Gia" />
                <ScalarProperty Name="MaDonHang" ColumnName="MaDonHang" />
                <ScalarProperty Name="TongTien" ColumnName="TongTien" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="CUSTOMERs">
            <EntityTypeMapping TypeName="QLBHModel.CUSTOMER">
              <MappingFragment StoreEntitySet="CUSTOMER">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Ho" ColumnName="Ho" />
                <ScalarProperty Name="Ten" ColumnName="Ten" />
                <ScalarProperty Name="DiaChi" ColumnName="DiaChi" />
                <ScalarProperty Name="SDT" ColumnName="SDT" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Tinh_TP" ColumnName="Tinh_TP" />
                <ScalarProperty Name="TaiKhoan" ColumnName="TaiKhoan" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="DonHangs">
            <EntityTypeMapping TypeName="QLBHModel.DonHang">
              <MappingFragment StoreEntitySet="DonHang">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="NgayTao" ColumnName="NgayTao" />
                <ScalarProperty Name="MaKhachHang" ColumnName="MaKhachHang" />
                <ScalarProperty Name="TinhTrang" ColumnName="TinhTrang" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="GioiThieux">
            <EntityTypeMapping TypeName="QLBHModel.GioiThieu">
              <MappingFragment StoreEntitySet="GioiThieu">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="NoiDung" ColumnName="NoiDung" />
                <ScalarProperty Name="TieuDe" ColumnName="TieuDe" />
                <ScalarProperty Name="HinhAnh" ColumnName="HinhAnh" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="POSTs">
            <EntityTypeMapping TypeName="QLBHModel.POST">
              <MappingFragment StoreEntitySet="POST">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="PostName" ColumnName="PostName" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="Short_Description" ColumnName="Short_Description" />
                <ScalarProperty Name="Thumbnail" ColumnName="Thumbnail" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="PR_CATEGORIES">
            <EntityTypeMapping TypeName="QLBHModel.PR_CATEGORIES">
              <MappingFragment StoreEntitySet="PR_CATEGORIES">
                <ScalarProperty Name="TenDanhMuc" ColumnName="TenDanhMuc" />
                <ScalarProperty Name="IDDanhMuc" ColumnName="IDDanhMuc" />
                <ScalarProperty Name="Active" ColumnName="Active" />
                <ScalarProperty Name="ParentID" ColumnName="ParentID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="PRODUCTs">
            <EntityTypeMapping TypeName="QLBHModel.PRODUCT">
              <MappingFragment StoreEntitySet="PRODUCT">
                <ScalarProperty Name="ProductID" ColumnName="ProductID" />
                <ScalarProperty Name="ProductName" ColumnName="ProductName" />
                <ScalarProperty Name="Sku" ColumnName="Sku" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="Sale_Price" ColumnName="Sale_Price" />
                <ScalarProperty Name="Short_Description" ColumnName="Short_Description" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="Product_tag" ColumnName="Product_tag" />
                <ScalarProperty Name="Quantity" ColumnName="Quantity" />
                <ScalarProperty Name="Active" ColumnName="Active" />
                <ScalarProperty Name="Categories" ColumnName="Categories" />
                <ScalarProperty Name="SupplierID" ColumnName="SupplierID" />
                <ScalarProperty Name="Thumbnail" ColumnName="Thumbnail" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="QLBHModel.sysdiagram">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="USERs">
            <EntityTypeMapping TypeName="QLBHModel.USER">
              <MappingFragment StoreEntitySet="USER">
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="HoTen" ColumnName="HoTen" />
                <ScalarProperty Name="TaiKhoan" ColumnName="TaiKhoan" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="SDT" ColumnName="SDT" />
                <ScalarProperty Name="DiaChi" ColumnName="DiaChi" />
                <ScalarProperty Name="CMND" ColumnName="CMND" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Role" ColumnName="Role" />
                <ScalarProperty Name="ResertPasswordCode" ColumnName="ResertPasswordCode" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>